From f92d1ccaa378a92c5a931d4ffc3388a1c8419e8b Mon Sep 17 00:00:00 2001
From: Hannes Domani <ssbssa@yahoo.de>
Date: Tue, 27 Dec 2011 20:02:11 +0100
Subject: [PATCH] Win32 global hotkeys: vlc_GetActionId() needs "key-" prefix

---
 modules/control/globalhotkeys/win32.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/modules/control/globalhotkeys/win32.c b/modules/control/globalhotkeys/win32.c
index 055b32a..62ab7a5 100644
--- a/modules/control/globalhotkeys/win32.c
+++ b/modules/control/globalhotkeys/win32.c
@@ -294,13 +294,15 @@ LRESULT CALLBACK WMHOTKEYPROC( HWND hwnd, UINT uMsg, WPARAM wParam,
     {
         case WM_HOTKEY:
             {
-                char psz_atomName[40];
+                char psz_atomName[44];
 
                 LONG_PTR ret = GetWindowLongPtr( hwnd, GWLP_USERDATA );
                 intf_thread_t *p_intf = (intf_thread_t*)ret;
+                strcpy( psz_atomName, "key-" );
 
                 if( !GlobalGetAtomNameA(
-                        wParam, psz_atomName, sizeof( psz_atomName ) ) )
+                        wParam, psz_atomName + 4,
+                        sizeof( psz_atomName ) - 4 ) )
                     return 0;
 
                 /* search for key associated with VLC */
-- 
1.6.0.2.1172.ga5ed0

